package com.energy.manage.common.constant.redis;

import java.io.Serializable;

/**
 * redis常量
 */
public class ManagerRedisKeyConstant {

    public static String SYSTEM_USER_LOGIN_INFO = "zhzn_energy_system_user_login_info:%s";

    public static String DEFAULT_PREFIX_KEY = "zhzn";

    public static String PLACEHOLDER = ":";

    public static String DICT_CONSTANTS_KEY = "energy:dict:constants";

    //id 工具缓存
    public static String IDGENERATOR_CONSTANTS_KEY = "energy:Idgenerator:{id}";


    private static final String PLACE_HOLDER = "\\{id\\}";


    public static String build(String key, Serializable... id) {
        Serializable[] var2 = id;
        int var3 = id.length;

        for (int var4 = 0; var4 < var3; ++var4) {
            Serializable i = var2[var4];
            key = key.replaceFirst("\\{id\\}", String.valueOf(i));
        }
        return key;
    }

    static {
        IDGENERATOR_CONSTANTS_KEY = "energy:Idgenerator:{id}";
    }
}
