package com.energy.manage.service.domain.dto;


import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class BaseDto {

    @ApiModelProperty(value = "当前页 从1开始")
    private Integer pageNum = 1;

    @ApiModelProperty(value = "分页分页条数")
    private Integer pageSize = 10;

    @ApiModelProperty("排序的字段")
    private String orderBy;

    @ApiModelProperty("正序:asc,倒序:desc")
    private String sort;
}
