package com.energy.manage.service.domain.vo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 合同功率曲线
 */
@Data
public class PowerWordContractExcelVo {


    /**
     * 机型编号
     */
    @ExcelProperty(value = "系统生成机型编号",index = 0)
    private String millTypeCode;

    /**
     * 风速
     */
    @ExcelProperty(value = "风速",index = 1)
    private Double windSpeed;

    /**
     * 有功功率
     */
    @ExcelProperty(value = "有功功率",index = 2)
    private Double activePower;

    /**
     * 空气密度
     */
    @ExcelProperty(value = "当地空气密度",index = 3)
    private Double density;

}
