package com.energy.manage.service.service.homepage;

import com.energy.manage.service.domain.vo.analysis.AnalysisOptionRecordsVo;
import com.energy.manage.service.domain.vo.homepage.HomePageVo;

import java.util.List;

/**
 * @author chy
 * @date 2024/6/13 14:02
 * @desc
 */
public interface HomePageService {

    /**
     * 驾驶舱首页查询
     * @param codeNumber
     * @param codeType
     */
    HomePageVo queryStatistics(String codeNumber, String codeType);


    /**
     * 查询操作记录
     * @param codeNumber
     * @param codeType
     * @return
     */
    List<AnalysisOptionRecordsVo> queryOptionRecords(String codeNumber, String codeType);


}
