package com.energy.manage.common.po.powerwordcontract;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.Table;

@Data
@Table(name = "power_word_relation_contract")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class PowerWordContractPO extends NewBaseDomain {


    /**
     * 风场编号
     */
    private String fieldCode;
    /**
     * 机型编号
     */
    private String millTypeCode;
    /**
     * 有功功率
     */
    private Double activePower;
    /**
     * 风速
     */
    private Double windSpeed;
    /**
     * 删除状态
     */
    private Integer delState;

}
