package com.energy.manage.service.domain.vo.analysis;

import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupVo;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;
import java.util.Map;

/**
 * @author chy
 * @date 2024/5/27 17:59
 * @desc
 */
@Data
@Accessors(chain = true)
public class AnalysisResultShowVo {

    /**
     * 分析类型（树形结构）
     */
    private List<Map<String,Object>> analysisTypeList;

    /**
     * 风机机组编号
     */
    private List<WindEngineGroupVo> windEngineGroupList;

}
