package com.energy.manage.service.test;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.cloud.context.config.annotation.RefreshScope;
import org.springframework.stereotype.Component;

/**
 * @author chy
 * @date 2024/6/26 10:45
 * @desc
 */
@Component
@RefreshScope
public class TestProperties {


    private static String downloadUrl;


    @Value("${download.url}")
    private void setDownloadUrl(String downloadUrl){
        TestProperties.downloadUrl = downloadUrl;
    }

    public static String getdownloadUrl(){
        return downloadUrl;
    }
}
